#!/bin/bash
#. /etc/systemconfig
#echo $@ > /tmp/parms
#start Slavebackend: fusion 192.168.1.120
COMMAND=$1
BETYPE=$2
eval LAST=\$$#
dbhost=`echo $LAST`
hostname=`hostname`
MESSAGE=""

case $COMMAND in
    stop)   MESSAGE=`/usr/bin/curl http://$dbhost:1337/bestop.cgi 2>/dev/null`
            rc=$?

            if [ $rc != 0 ]
            then
                msg_client.py --msg "Could not stop the backend."
            else
                echo "$MESSAGE" | grep -q "'$hostname': 'Message delivered'"
                rc=$?
                if [ $rc != 0 ]
                then
                    msg_client.py --msg  "* Backend Stopped" > /dev/null
                fi
            fi
        ;;

    start )
        MESSAGE=`/usr/bin/curl http://$dbhost:1337/bestart.cgi 2>/dev/null`
        rc=$?
        if [ $rc != 0 ]
        then
            msg_client.py --msg "Could not start the backend"
        else
            echo "$MESSAGE" | grep -q "'$hostname': 'Message delivered'"
            rc=$?
            if [ $rc != 0 ]
            then
                msg_client.py --msg  "* Backend Started" > /dev/null
            fi
        fi
        ;;

    restart)
        /usr/MythVantage/bin/backend_control.sh stop $dbhost
        sleep 2
        /usr/MythVantage/bin/backend_control.sh start $dbhost
        ;;

    clearcache)
        MESSAGE2=`/usr/bin/curl http://$dbhost:1337/beclear.cgi 2>/dev/null`
        rc=$?
        if [ $rc != 0 ]
        then
            msg_client.py --msg "Could not clear the cache"
        else
            echo "$MESSAGE" | grep -q "'$hostname': 'Message delivered'"
            rc=$?
            if [ $rc != 0 ]
            then
                msg_client.py --msg  "* cache cleared" > /dev/null
            fi
        fi
esac

