#!/bin/bash
. /etc/profile
. /etc/systemconfig


myhost=$hostname
hostname $myhost
echo $myhost > /etc/hostname
echo "install_db_chroot hostname is $hostname"

. $MV_ROOT/bin/install_functions.sh
#myhost=`cat /etc/hostname`

/etc/rc.d/mysqld

status=1
mysqlstatus=1
while [ ! $status = 0  ]
do
    /etc/rc.d/mysqld stop
    sleep 1
    /etc/rc.d/mysqld start
    mysqlstatus=$?
    if [ $mysqlstatus = 0 ]
    then
   	mysql -e "show databases;"
        showstatus=$?
        if [ $showstatus = 0 ]
        then
            pacman --noconfirm -R mythdb-initial
            pacman --noconfirm  -S mythdb-initial

            #This piece only populates the distro_default tables
            #save off distro_default
            $MV_ROOT/bin/myth_settings_wrapper.sh -c save-default

            #load default into distro_default tables
            $MV_ROOT/bin/myth_settings_wrapper.sh -c load

            $MV_ROOT/bin/myth_settings_wrapper.sh -c restore -t syssettings
            $MV_ROOT/bin/systemconfig.sh misc,hostype,this_is_install

            update_db_settings HostServiceMythWEB "1"
            echo 'UseMythWEB="1"' >> /etc/systemconfig

            #update database to allow user jobs on this host.
            $MV_ROOT/bin/myth_settings_wrapper.sh  -c  USERJOBALLOW
            $MV_ROOT/bin/myth_settings_wrapper.sh  -c  ACCESSCONTROL
	   if [ -d /data/srv/mysql/mythconverg ]
	   then
	    status=0
	   fi
   	fi
    fi
done
/etc/rc.d/mysqld stop
